Bug 98559 - lsof hangs when a remote NFS filesystem is unavailable
lsof hangs when a remote NFS filesystem is unavailable
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: lsof (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-03 13:54 EDT by Need Real Name
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-30 04:47:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-07-03 13:54:33 EDT
Description of problem:
When a remote NFS file system is unavailable, lsof will hang, making it 
impossible to see which programs are attempting to access the remote 
file system.

Version-Release number of selected component (if applicable):


How reproducible:
Unsure.

Steps to Reproduce:
1.mount a remote file system using NFS options rw,bg,hard,intr
2.start a program which accesses the remote file system
3.stop the remote server
4.use lsof to see whi has the NFS file open

    
Actual results:
lsof should show who has the file system open

Expected results:
lsof hangs

Additional info:
Comment 1 Karel Zak 2005-03-30 04:47:38 EST
Fixed in actual FC4 branch.

Note You need to log in before you can comment on or make changes to this bug.